# List Personal Access Tokens

`GET /auth/pats`

Returns a list of personal access tokens

{% hint style="info" %}

* Request headers required. See [Request Headers](/d/advanced-topics/authentication/request-headers.md) for more information.
* Authentication required. See [Authentication Headers](/d/advanced-topics/authentication/request-headers.md#authentication-headers) for more information.
  {% endhint %}

## Required Permissions

None

## Responses

{% hint style="info" %}

* See [Common Errors](https://github.com/dfns/dfns-api-docs/blob/m/getting-started/errors.md#common-errors) for common errors.
* See [Personal Access Token Management Errors](https://github.com/dfns/dfns-api-docs/blob/m/getting-started/errors.md#personal-access-token-management-errors) for personal access token management specific errors.
  {% endhint %}

{% tabs %}
{% tab title="200" %}
**Success** - A list of personal access tokens registered to the calling user

```json
{
  "items": [
    {
      "dateCreated": "2023-03-16T20:17:35.291Z",
      "credId": "Y2ktMWYxcTWtN3ZzbSAtODVhcZ5kY2lwZTY3ZTgwMg",
      "isActive": true,
      "kind": "Pat",
      "linkedUserId": "us-24vwa-92s33-8tvqi1dg0a95megt",
      "linkedAppId": "",
      "name": "My PAT",
      "orgId": "or-yanke-mars-6ulofamogg8fs87v",
      "permissionAssignments": [
        {
          "permissionId": "pm-mars-lithi-17bf4kf0548ajph4",
          "permissionName": "WalletAdmin",
          "assignmentId": "",
          "operations": [
            "Auth:Action:Sign",
            "Auth:Apps:Read",
            "Auth:Types:Employee",
            "Auth:Types:EndUser",
            "Auth:Types:Pat",
            "Auth:Types:ServiceAccount",
            "Auth:Users:Read",
            "Balances:Read",
            "Payments:Create",
            "Payments:Read",
            "PublicKeyAddresses:Read",
            "PublicKeys:Create",
            "PublicKeys:Read",
            "Signatures:Create",
            "Signatures:Read",
            "Transactions:Create",
            "Transactions:Read",
            "Wallets:Create",
            "Wallets:Read",
            "Wallets:Update"
          ]
        }
      ],
      "publicKey": "SHA256:lH6mAX/74SbZzSjwNAFApwJsUdccVQzA8yj7K8/R5el",
      "tokenId": "to-7vwr2-h2f29-9m6a0fmkk7rr2hj7"
    }
  ]
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs-legacy.dfns.co/d/api-docs/authentication/personal-access-token-management/listpersonalaccesstokens.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
